package Common.Visual.Controls;
import Common.MainModule_;
import Common.Visual.Fonts.VisualiserFonts;
import Common.Visual.Themes.ThemeElement;

import javax.swing.*;
public class StyledList extends JList implements ThemeElement {
    public StyledList() {
        setFont(MainModule_.instance.getUI().getTheme().Fonts.get(VisualiserFonts.TreePlain));
        applyTheme();
    }
    @Override
    public void applyTheme() {
        setBackground(MainModule_.instance.getUI().getTheme().table_background);
        setForeground(MainModule_.instance.getUI().getTheme().foreground);
    }
}
